unit UnitListView;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, FMX.ListView.Appearances, FMX.ListView.Adapters.Base,
  FMX.ListView, FMX.TabControl, FMX.Controls.Presentation, FMX.StdCtrls,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf,
  FireDAC.Phys.Intf, FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async,
  FireDAC.Phys, FireDAC.Phys.SQLite, FireDAC.Phys.SQLiteDef,
  FireDAC.Stan.ExprFuncs, FireDAC.FMXUI.Wait, FireDAC.Stan.Param, FireDAC.DatS,
  FireDAC.DApt.Intf, FireDAC.DApt, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  Data.Bind.DBScope, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client;

type
  TForm21 = class(TForm)
    ToolBar2: TToolBar;
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    ListView1: TListView;
    Sqlite_demoConnection: TFDConnection;
    FDOrders: TFDQuery;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    Ouvrir: TButton;
    Sortir: TButton;
    FDOrdersCompanyName: TStringField;
    FDOrdersOrderID: TFDAutoIncField;
    FDOrdersOrderDate: TDateTimeField;
    FDOrdersShipCity: TStringField;
    FDOrdersShipCountry: TStringField;
    FDOrdersORDERAMOUNT: TFloatField;
    LabelOrder: TLabel;
    NumOrder: TLabel;
    LabelDate: TLabel;
    DateCommande: TLabel;
    LabelVille: TLabel;
    Ville: TLabel;
    LabelPays: TLabel;
    Pays: TLabel;
    Retour: TButton;
    LinkPropertyToFieldText: TLinkPropertyToField;
    LinkPropertyToFieldText2: TLinkPropertyToField;
    LinkPropertyToFieldText3: TLinkPropertyToField;
    LinkListControlToField1: TLinkListControlToField;
    LinkPropertyToFieldText4: TLinkPropertyToField;
    FDOrder: TFDQuery;
    DataSource1: TDataSource;
    FDOrdersCustomerID: TStringField;
    FDOrdersOrderdesc: TWideStringField;
    ListView2: TListView;
    BindSourceDB2: TBindSourceDB;
    LinkListControlToField2: TLinkListControlToField;
    procedure OuvrirClick(Sender: TObject);
    procedure SortirClick(Sender: TObject);
    procedure ListView1ItemClick(const Sender: TObject;
      const AItem: TListViewItem);
    procedure RetourClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form21: TForm21;

implementation

{$R *.fmx}

procedure TForm21.ListView1ItemClick(const Sender: TObject;
  const AItem: TListViewItem);
begin
FDOrder.Active:=True;
TabControl1.Next();
end;

procedure TForm21.OuvrirClick(Sender: TObject);
begin
FDOrders.Active:=Not FDOrders.Active;
end;

procedure TForm21.RetourClick(Sender: TObject);
begin
TabControl1.Previous();
FDOrder.Active:=False;
end;

procedure TForm21.SortirClick(Sender: TObject);
begin
Close;
end;

end.
