unit UnitDataModule;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf, FireDAC.Stan.Def,
  FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.Phys.SQLite,
  FireDAC.Phys.SQLiteDef, FireDAC.Stan.ExprFuncs, FireDAC.FMXUI.Wait,
  FireDAC.Stan.Param, FireDAC.DatS, FireDAC.DApt.Intf, FireDAC.DApt, Data.DB,
  FireDAC.Comp.DataSet, FireDAC.Comp.Client, FMX.Types, FMX.Controls;

type
  TDatas = class(TDataModule)
    Sqlite_demoConnection: TFDConnection;
    FDOrders: TFDQuery;
    FDOrdersCompanyName: TStringField;
    FDOrdersOrderID: TFDAutoIncField;
    FDOrdersOrderDate: TDateTimeField;
    FDOrdersShipCity: TStringField;
    FDOrdersShipCountry: TStringField;
    FDOrdersORDERAMOUNT: TFloatField;
    FDOrdersCustomerID: TStringField;
    FDOrdersOrderdesc: TWideStringField;
    DataSource1: TDataSource;
    FDOrder: TFDQuery;
    StyleBook1: TStyleBook;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Datas: TDatas;

implementation

{%CLASSGROUP 'FMX.Controls.TControl'}

{$R *.dfm}

end.
